<ion-header>
    <ion-navbar color="bluegreen">
       
          <!-- <img class="grid-image" src="./assets/icon/doct.png"> -->
          <ion-title>Doctor Appointment</ion-title>
        
       
      </ion-navbar>

 
  </ion-header>

      <!-- Doctor Appointment -->
  <!-- <ion-row>

    <ion-col col-2>
      <div class="profile-left">
        <img class="grid-image" src="./assets/icon/doct.png">
      </div>


    </ion-col>
    <ion-col col-7>
      <div class="name-right">
       Doctor Appointment
      </div>

    </ion-col>
    <ion-col col-2>
      <button ion-button class="hlines" menuToggle right>
        <ion-icon name="menu"></ion-icon>
      </button>
    </ion-col>



  </ion-row> -->



<ion-content padding>
<form #detailsFillingForm="ngForm">
<ion-item  >
  
  <ion-label floating color="bluegreen">Doctor</ion-label>

  <ion-select required  *ngIf="doctors == 'Cardiologist'" interface="popover" name="doctor" [(ngModel)]="Data.doctor"   >
    <ion-option value="suresh@cardiologist.com">Dr.Suresh Kumar</ion-option>
    <ion-option value="harsha@cardiologist.com">Dr.Harsha Vardhan</ion-option>
    <!-- <div *ngIf="DrSelect.invalid && (DrSelect.dirty || DrSelect.touched)" style="color:red;">

      <div *ngIf="DrSelect.errors.required">
          Field is required.
      </div>
  </div> -->
  </ion-select>
  

  <ion-select required *ngIf="doctors == 'Nephrologist'" interface="popover" name="doctor" [(ngModel)]="Data.doctor"   >
      <ion-option value="venkateswarao@Nephrology.com">Dr.Venkateswarao</ion-option>
      <ion-option value="ananth@Nephrology.com">Dr.Ananth</ion-option>
    </ion-select>

    <ion-select required *ngIf="doctors == 'Pulmonologist'" interface="popover" name="doctor" [(ngModel)]="Data.doctor"   >
        <ion-option value="gopalrao@Pulmonology.com">Dr.Gopalrao Rao</ion-option>
      </ion-select>

      <ion-select required *ngIf="doctors == 'Gastroenterologist'" interface="popover" name="doctor" [(ngModel)]="Data.doctor"   >
          <ion-option value="srinivas@Gastroenterology.com">Dr.Srinivas</ion-option>
        </ion-select>

        <ion-select required *ngIf="doctors == 'Neurologist'" interface="popover" name="doctor" [(ngModel)]="Data.doctor"   >
            <ion-option value="sameer@neuro.com">Dr.Sameer</ion-option>
          </ion-select>

</ion-item>

<ion-item>
  <ion-label  floating color="light">Select Date</ion-label>
  <ion-input required type="date" name="date" [(ngModel)]="Data.date"></ion-input>
</ion-item>


<ion-row>
  <ion-col>
   
    <button ion-button round class="Book" (click)="booknow()" [disabled]="detailsFillingForm.invalid">Booking Slot</button>
  </ion-col>
  
</ion-row>


</form>



</ion-content>